%global		srcname lcms2

Name:		python-%{srcname}
Version:	0.1
Release:	7%{?dist}
Summary:	Simplified Python binding to LittleCMS2 library

License:	GPLv3+
URL:		https://sk1project.net/
#Source0:	https://github.com/sk1project/%%{name}/archive/v%%{version}.tar.gz#/%%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}-nopatents.tar.gz
# libfoo contains patented code that we cannot ship.  Therefore we use
# this script to remove the patented code before shipping it.
# Download the upstream tarball and invoke this script while in the
# tarball's directory:
# ./generate-tarball.sh 1.0
Source1:	generate-tarball.sh
# Use public domain sRGB from colord instead of HP Licensed version
# Bug filed upstream https://github.com/sk1project/python-lcms2/issues/1
Source2:	sRGB.icm
BuildRequires:	lcms2-devel
BuildRequires:	python2-devel
BuildRequires:	python2-pytest

%description
Simplified Python binding to LittleCMS2 library. 
This extension was created specially for SwatchBooker project. 
Nevertheless it can be used as a standalone package.

%package -n python2-%{srcname}
Summary:	%{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Simplified Python2 binding to LittleCMS2 library. 
This extension was created specially for SwatchBooker project. 
Nevertheless it can be used as a standalone package.


%prep
%autosetup -n %{name}-%{version}
cp -p %{SOURCE2} tests/cms_data

%build
%py2_build

%install
%py2_install

%check
export PYTHONPATH=%{buildroot}%{python2_sitearch}
py.test-2 tests/lcms2_testsuite.py

%files -n python2-%{srcname}
%license GPLv3.txt
%doc LICENSE README MANIFEST.in
%{python2_sitearch}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun May 14 2017 Luya Tshimbalanga <luya@fedoraproject.org> 0.1-4
- Drop %%clean macro
- Use GPLv3.txt for %%license
- Replace forbidden license sRPG for testing

* Fri May 12 2017 Luya Tshimbalanga <luya@fedoraproject.org> 0.1-3
- Add %%clean macro for debugging
- Add missing line for running a test suite

* Thu May 11 2017 Luya Tshimbalanga <luya@fedoraproject.org> 0.1-2
- Simplify summary macro
- Add python2 subpackage
- Use versioned python2 macros
- Include check test suite

* Thu May 11 2017 Luya Tshimbalanga <luya@fedoraproject.org> 0.1-1
- Initial package
